package com.acethewildfire.acesbs.compat;

import com.acethewildfire.acesbs.recipe.EntropicEntanglerRecipe;
import me.shedaniel.rei.api.common.category.CategoryIdentifier;
import me.shedaniel.rei.api.common.display.basic.BasicDisplay;
import me.shedaniel.rei.api.common.entry.EntryIngredient;
import me.shedaniel.rei.api.common.util.EntryIngredients;
import me.shedaniel.rei.api.common.util.EntryStacks;
import net.minecraft.recipe.RecipeEntry;

import java.util.List;

public class EntropicEntanglerDisplay extends BasicDisplay {
    private RecipeEntry<?> recipe;
    private float xp;
    private double cookTime;

    public EntropicEntanglerDisplay(RecipeEntry<EntropicEntanglerRecipe> recipe){
        super(
                List.of(EntryIngredients.ofIngredient(recipe.value().getIngredients().get(0)), EntryIngredients.ofIngredient(recipe.value().getIngredients().get(1))),
                List.of(EntryIngredient.of(EntryStacks.of(recipe.value().getResult(null)))));
    }

    @Override
    public CategoryIdentifier<?> getCategoryIdentifier() {
        return EntropicEntanglerCategory.ENTROPIC_ENTANGLER;
    }
}
